
Name:           rpmtidy
Summary:        Deletes obsolete RPMS from cache
Version:        1.0
Release:        %mkrel 7
URL:            http://www.hyperdrifter.com
Source:         %{name}-%{version}.tar.bz2
Group:          System/Packaging
License:        GPLv2+
BuildArch:      noarch
BuildRequires:  python

%description
This script deletes obsolete files by comparing the version information
of all RPM package files which provide the same software package. You can
specify any number of paths of directories to search and you can also
exclude specific packages from being tested for obsolescence.

To run this script simply specify the path of a directory containing
RPM package files using the '--dir' option. For example, to delete obsolete
RPMs from the directory '/tmp/packages', execute the following command:

rpm-tidy --dir=/tmp/packages

%prep
%setup -q
%__chmod a-x doc/*.txt

%build
#nothing to do here because we use scripts

%install
sed -i 's!/usr/bin/env python!/usr/bin/python2!' tidy-rpm-cache.py
%__install -D -m 0755 tidy-rpm-cache.py %{buildroot}%{_bindir}/rpm-tidy

%files
%doc doc/*.txt
%{_bindir}/rpm-tidy


%changelog
* Fri Apr 17 2020 tv <tv> 1.0-7.mga8
+ Revision: 1568316
- enforce python2 thus fixing build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0-5.mga7
+ Revision: 1274986
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 1.0-4.mga6
+ Revision: 929395
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 741050
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-2.mga5
+ Revision: 688716
- Mageia 5 Mass Rebuild

* Thu Nov 28 2013 tarakbumba <tarakbumba> 1.0-1.mga4
+ Revision: 553993
- imported package rpmtidy

